httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jus...@erenkrantz.com>
Subject Re: APR version and 2.0 version
Date Fri, 19 Dec 2003 06:15:58 GMT
--On Thursday, December 18, 2003 4:57 AM -0800 Dirk-Willem van Gulik 
<dirkx@webweaving.org> wrote:

> Does our 2.0 ./configure check (or know) in any way
> the version (range/minumum) of APR it expects to be
> in place ? Or are there fundamental reasons why this
> is not possible ?

I don't believe anyone has taken the effort to make sure that httpd-2.0 
(APACHE_2_0_BRANCH) works with APR 1.0 (HEAD).  Yet, 2.0 should work with 
AP{RUI}_0_9_BRANCH though.  And, APR 1.0 HEAD is known to work with HEAD of 
httpd-2.0 (i.e. 2.1).

Patches are welcomed to fix 2.0 with APR 1.0.  The changes should be 
straight-forward as the new symbols in 1.0 are also in 0.9.  But, our releases 
of httpd 2.0.x should only be combined with APR 0.9.

Hope this makes sense...  -- justin

Mime
View raw message